using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Enum
{
    /// <summary>
    /// 系统错误码
    /// </summary>
    [ErrorCodeType]
    [Description("系统错误码")]
    public enum ErrorCodeEnum
    {
        /// <summary>
        /// 用户没有注册
        /// </summary>
        [ErrorCodeItemMetadata("用户没有注册")]
        Code1000,

        /// <summary>
        /// 操作错误
        /// </summary>
        [ErrorCodeItemMetadata("操作错误")]
        Code1001,

        /// <summary>
        /// 重复添加
        /// </summary>
        [ErrorCodeItemMetadata("重复添加")]
        Code1002,

        /// <summary>
        /// 操作数据不存在
        /// </summary>
        [ErrorCodeItemMetadata("操作数据不存在")]
        Code1003,

        /// <summary>
        /// key不正确
        /// </summary>
        [ErrorCodeItemMetadata("key不正确")]
        Code1004,

        /// <summary>
        /// 签名错误
        /// </summary>
        [ErrorCodeItemMetadata("签名错误")]
        Code1005,

        /// <summary>
        /// 签名错误
        /// </summary>
        [ErrorCodeItemMetadata("签名过期")]
        Code1006,
    }
}
